dpkg-source(1)

NOM
dpkg-source - outil de manipulation des paquets sources Debian (.dsc).

SYNOPSIS
dpkg-source [option...] commande

DESCRIPTION
dpkg-source empaquette ou dépaquette une archive source Debian. Aucune de ces commandes ne permet la combinaison de plusieurs options en une seule et elles ne permettent pas d'indiquer la valeur d'une option dans un argument séparé.

COMMANDES

-x fichier.dsc [répertoire-de-sortie]
    Cette option sert à extraire un paquet source. On doit donner un seul argument sans option : le nom du fichier de contrôle des sources Debian (.dsc). Un deuxième argument sans option peut être donné pour indiquer le répertoire où extraire le paquet source : ce répertoire ne doit pas déjà exister. Quand aucun répertoire n'est indiqué, le paquet source est extrait dans un répertoire source-version du répertoire courant. dpkg-source lit, dans le fichier de contrôle, les noms des fichiers qui composent le paquet source ; il suppose qu'ils sont dans le même répertoire que le fichier .dsc. Les fichiers extraits du paquet auront le même système de propriété et de permission que s'ils avaient été simplement créés -- les répertoires et les fichiers exécutables auront un système de permission égal à 0777 et les simples fichiers, 0666 ; ces deux systèmes étant modifiés par le masque de celui qui fait l'extraction ; si le répertoire parent est « setgid », les répertoires extraits le seront aussi et tous les fichiers et répertoires hériteront du système de propriété de ce groupe. Si le paquet source utilise un format non-standard (actuellement, cela signifie tous les formats sauf le "1.0"), son nom sera enregistré dans debian/source/format de sorte que la construction du paquet source utilise le même format par défaut.

-b répertoire [paramètres-dans-un-format-spécifique]
    Construit un paquet source. Le premier argument non optionnel est pris comme nom du répertoire contenant l'arborescence des sources Debianisées (c'est-à-dire avec un sous-répertoire debian et peut-être des modifications sur les fichiers d'origine). Selon le format du paquet source utilisé pour construire le paquet, d'autres paramètres peuvent être acceptés. dpkg-source va construire le paquet source dans le premier format qui fonctionnera dans la liste suivante : le(s) format(s) indiqué(s) avec le paramètre de la ligne de commande --format, le format indiqué dans debian/source/format, « 1.0 ». L'utilisation de « 1.0 » comme dernier recours est obsolète et sera retirée dans le futur. Le format source devrait toujours être indiqué dans debian/source/format. Voir la section FORMATS DE PAQUETS SOURCE pour une description plus détaillée des différents formats de paquet source.

--print-format répertoire
    Affiche le format source qui serait utilisé pour construire le paquet source si dpkg-source -b répertoire était utilisé (dans les mêmes conditions et avec les mêmes options).

--before-build répertoire
    Exécute le point d'entrée correspondant du format de paquet source. Ce point d'entrée doit être utilisé avant toute construction du paquet (dpkg-buildpackage l'utilise très tôt, avant même debian/rules clean). Il doit être autonome et pouvoir être lancée plusieurs fois. Tous les formats source ne mettent pas en oeuvre ce branchement et ceux qui le font préparent l'arborescence source pour la construction, par exemple en garantissant que les correctifs Debian sont appliqués.

--after-build répertoire
    Exécute le point d'entrée correspondant du format de paquet source. Ce point d'entrée doit être utilisé après toute construction du paquet (dpkg-buildpackage l'utilise en dernier). Il doit être autonome et doit pouvoir être lancé plusieurs fois. Tous les formats source ne mettent pas en ?uvre ce branchement et ceux qui le font s'en servent pour défaire ce qui a été fait par --before-build.

--commit [répertoire] ...
    Enregistre les modifications dans l'arborescence source décompressée dans répertoire. Cette commande peut accepter des paramètres supplémentaires selon le format source. Elle provoquera une erreur pour les formats où cette opération n'a pas de signification.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

  Generic build options

-cfichier-de-contrôle
    Indique le principal fichier de contrôle des sources où trouver les renseignements. Par défaut, c'est le fichier debian/control. Lorsqu'un chemin relatif est fourni, on considère qu'il est relatif au répertoire le plus élevé de l'arborescence source.

-lfichier-des-changements
    Indique le journal des modifications où trouver des renseignements. Par défaut, c'est le fichier debian/changelog. Lorsqu'un chemin relatif est fourni, on considère qu'il est relatif au répertoire le plus élevé de l'arborescence source.

-Fformat-du-fichiers-des-changements
    Indique le format du fichier des changements. Voir dpkg-parsechangelog(1) pour plus d'informations à propos des formats gérés.

--format=valeur
    Utilise le format indiqué pour la construction du paquet source. Ce choix remplace le format indiqué dans debian/source/format.

-Vnom=valeur
    Fixe la valeur d'une variable de substitution. Consultez deb-substvars(5) pour une discussion sur la valeur de substitution.

-Tfichier/substvars
    Lit les variables de substitution dans fichier-substvars ; par défaut aucun fichier n'est lu. Cette option peut être utilisée plusieurs fois pour lire des variables de substitution depuis plusieurs fichiers.

-Dchamp=valeur
    Remplace ou ajoute en sortie un champ dans le fichier de contrôle.

-Uchamp
    Supprime en sortie un champ dans le fichier de contrôle.

-Zcompression, --compression=compression
    Specify the compression to use for created files (tarballs and diffs). Note that this option will not cause existing tarballs to be recompressed, it only affects new files. Supported values are: gzip, bzip2, lzma and xz. gzip is the default. xz is only supported since dpkg 1.15.5.

-zniveau, --compression-level=niveau
    Niveau de compression à utiliser. Comme avec -Z cela ne concerne que les fichiers nouvellement créés. Les valeurs prises possibles sont les suivantes : 1 à 9, best, et fast. La valeur par défaut est 9 pour gzip et bzip2, 6 pour xz et lzma.

-i[regex], --diff-ignore[=regex]
    You may specify a perl regular expression to match files you want filtered out of the list of files for the diff. (This list is generated by a find command.) (If the source package is being built as a version 3 source package using a VCS, this can be used to ignore uncommited changes on specific files. Using -i.* will ignore all of them.) The -i option by itself enables this setting with a default regex (preserving any modification to the default regex done by a previous use of --extend-diff-ignore) that will filter out control files and directories of the most common revision control systems, backup and swap files and Libtool build output directories. There can only be one active regex, of multiple -i options only the last one will take effect. This is very helpful in cutting out extraneous files that get included in the diff, e.g. if you maintain your source in a revision control system and want to use a checkout to build a source package without including the additional files and directories that it will usually contain (e.g. CVS/, .cvsignore, .svn/). The default regex is already very exhaustive, but if you need to replace it, please note that by default it can match any part of a path, so if you want to match the begin of a filename or only full filenames, you will need to provide the necessary anchors (e.g. '(^|/)', '($|/)') yourself.

--extend-diff-ignore=regex
    The perl regular expression specified will extend the default value used by --diff-ignore and its current value (if set). It does this by concatenating "|regex" to the existing value. This option is convenient to use in debian/source/options to exclude some auto-generated files from the automatic patch generation.

-I[motif-fichier], --tar-ignore[=motif-fichier]
    If this option is specified, the pattern will be passed to tar(1)'s --exclude option when it is called to generate a .orig.tar or .tar file. For example, -ICVS will make tar skip over CVS directories when generating a .tar.gz file. The option may be repeated multiple times to list multiple patterns to exclude. -I by itself adds default --exclude options that will filter out control files and directories of the most common revision control systems, backup and swap files and Libtool build output directories.

Note: While they have similar purposes, -i and -I have very different syntax and semantics. -i can only be specified once and takes a perl compatible regular expression which is matched against the full relative path of each file. -I can specified multiple times and takes a filename pattern with shell wildcards. The pattern is applied to the full relative path but also to each part of the path individually. The exact semantic of tar's --exclude option is somewhat complicated, see https://www.gnu.org/software/tar/manual/tar.html#wildcards for a full documentation. The default regex and patterns for both options can be seen in the output of the --help command.

  Generic extract options

--no-copy
    Ne pas copier l'archive d'origine près de l'extraction du paquet source.

--no-check
    Ne vérifie pas les signatures et les sommes de contrôle avant de dépaqueter.

--require-valid-signature
    Refuse de décompresser le paquet source s'il ne contient pas de signature OpenPGP pouvant être vérifiée soit avec le fichier de clés trustedkeys.gpg de l'utilisateur, un des fichiers de clés propre à un distributeur ou un des fichiers de clés officiels de Debian (/usr/share/keyrings/debian-keyring.gpg et /usr/share/keyrings/debian-maintainers.gpg).

FORMATS DE PAQUET SOURCE
Si vous ne savez pas quel format source utiliser, il est conseillé de choisir soit « 3.0 (quilt)" soit "3.0 (native)". Voir https://wiki.debian.org/Projects/DebSrc3.0 pour plus d'informations sur la mise en ?uvre de ces formats dans Debian.

  Format: 1.0
Un paquet source dans ce format se compose soit d'un .orig.tar.gz associé à un .diff.gz ou un simple .tar.gz (dans ce cas, le paquet est appelé natif "native"). Extracting Extraire un paquet natif revient à une simple extraction de l'archive TAR dans le répertoire cible. L'extraction d'un paquet non-natif consiste au dépaquetage du .orig.tar.gz puis l'application des correctifs contenus dans le .diff.gz. La date de tous les fichiers correctifs est celle du moment où a eu lieu l'extraction depuis le paquet source (cela évite les heures fausses menant à des problèmes lorsque des fichiers générés automatiquement sont modifiés). Le diff peut créer de nouveaux fichiers (tout le répertoire debian est créé de cette façon) mais ne peut pas supprimer de fichiers (les fichiers vides seront laissés là). Construction Construire un paquet natif revient simplement à créer une archive TAR avec le répertoire du source. La création d'un paquet non-natif consiste à extraire l'archive d'origine dans un répertoire séparé ".orig" puis régénérer le .diff.gz en comparant le répertoire du paquet source avec répertoire ".orig". Options de construction (avec -b): Si l'on donne un second argument, ce sera le nom du répertoire source d'origine ou le nom du fichier « tar » ou bien une chaîne vide si le paquet est un « debian pure souche » et n'a donc pas de fichiers « diffs » concernant sa « debianisation ». S'il n'y a pas de second argument, et selon les autres arguments donnés, dpkg-source cherche le fichier « tar » des sources d'origine paquet_version-d'origine.orig.tar.gz ou bien le répertoire source d'origine répertoire.orig selon les paramètres -sX. Les options -sa, -sp, -sk, -su et -sr ne remplacent pas les fichiers « tar » ou les répertoires existants. Pour cela, il faut utiliser les options -sA, -sP, -sK, -sU et -sR.

-sk Quand on spécifie en fichier source d'origine un fichier « tar » ; par défaut, paquet_version-d'origine.orig.tarextension. Il le laisse en place en tant que fichier « tar » ou le copie dans le répertoire en cours s'il n'y est pas déjà. Le fichier sera dépaqueté dans répertoire.orig pour la génération du fichier diff.

-sp Comme -sk mais supprimera le répertoire à nouveau par la suite.

-su Quand on spécifie que le source d'origine est un répertoire ; la valeur par défaut est le répertoire paquet-version-d'origine.orig et dpkg-source crée une nouvelle archive du source d'origine.

-sr Comme -su mais supprimera ce répertoire après utilisation.

-ss Specifies that the original source is available both as a directory and as a tarfile. dpkg-source will use the directory to create the diff, but the tarfile to create the .dsc. This option must be used with care - if the directory and tarfile do not match a bad source archive will be generated.

-sn Indique de ne pas chercher de source d'origine et de ne pas créer de « diff ». Le second argument, s'il existe, doit être une chaîne vide. Cela sert pour les paquets Debian pure souche qui n'ont pas une source d'origine distincte et donc pas de fichier « diff » de debianisation.

-sa or -sA
    Indique comme source d'origine soit un fichier « tar », soit un répertoire - le deuxième argument, s'il existe, doit être l'un d'eux ou bien une chaîne vide (cela revient à utiliser l'option -sn). Quand un fichier « tar » existe, il est dépaqueté pour créer le fichier « diff » ; ensuite il est supprimé (cela revient à utiliser l'option -sp) ; quand un répertoire est trouvé, il est dépaqueté et dpkg-source crée le source d'origine et supprime ensuite ce répertoire (cela revient à utiliser l'option -sr) ; quand ni l'un ni l'autre n'est trouvé, dpkg-source suppose que le paquet ne possède pas de fichier « diff » de debianisation, mais seulement une simple archive source (cela revient à utiliser l'option -sn). Quand les deux sont trouvés, dpkg-source ignore le répertoire et le remplace si l'option -sA a été spécifiée (cela revient à utiliser l'option -sP) ou il provoque une erreur si l'option -sa a été spécifiée. L'option par défaut est -sA.

--abort-on-upstream-changes
    Ce processus échoue si le fichier de différences contient des modifications apportées à des fichiers en dehors du sous-répertoire debian. Cette option n'est pas autorisée dans debian/source/options mais peut être utilisée dans debian/source/local-options. options d'extractions (avec -x): Dans tous ces cas, l'arborescence existante des sources d'origine est supprimée.

-sp Quand on extrait le répertoire source d'origine (s'il existe), il est conservé en tant que fichier « tar ». S'il n'est pas déjà dans le répertoire courant ou si ce répertoire contient un fichier différent, le fichier « tar » est copié dans ce répertoire. (Ceci est le comportement par défaut).

-su Dépaquetage de l'arborescence du répertoire source d'origine.

-sn Assure que le répertoire source d'origine ne sera ni copié dans le répertoire en cours, ni dépaqueté. Si une arborescence source d'origine est présente dans le répertoire courant, elle est toujours supprimée.

Toutes les options -sX s'excluent mutuellement. Si vous en indiquez plusieurs, seule la dernière sera prise en compte.

--skip-debianization
    Passe l'étape d'application du fichier de différences Debian aux sources amont.

  Format: 2.0
Aussi connu sous le nom de « wig&pen ». Ce format n'est pas recommandé afin d'assurer une utilisation massive du format "3.0 (quilt)" qui le remplace. Wig&pen a été la première spécification d'une nouvelle génération de format de paquet source. Le comportement de ce format est le même que pour le format "3.0 (quilt)" sauf qu'il n'utilise pas de liste explicite de correctifs. Tous les fichiers dans debian/patches/ correspondant à l'expression rationnelle Perl [\w-]+ doivent être des correctifs valides : ils sont appliqués au moment de l'extraction. Lors de la construction d'un nouveau paquet source, toute modification apportée à la source amont est enregistrée dans un correctif nommé zz_debian-diff-auto.

  Format: 3.0 (native)
Ce format est une extension du format de paquet natif tel que défini dans le format 1.0. Il gère toutes les méthodes de compression et ignore par défaut tout fichier et répertoire VCS ainsi que de nombreux fichiers temporaires (voir la valeur par défaut associé à l'option -I dans la sortie de --help).

  Format: 3.0 (quilt)
A source package in this format contains at least an original tarball (.orig.tar.ext where ext can be gz, bz2, lzma and xz) and a debian tarball (.debian.tar.ext). It can also contain additional original tarballs (.orig-component.tar.ext). component can only contain alphanumeric characters and hyphens ("-").

Extracting

L'archive principale tar d'origine est extraite tout d'abord, puis toutes les autres archives tar d'origine sont extraites dans des sous-répertoires dont le nom est formé à partir de la partie composant de leur nom. L'archive tar Debian est extraite par dessus le répertoire source, après la suppression de tout répertoire debian existant. Notez que l'archive tar Debian doit contenir un sous-répertoire debian, mais il peut également contenir des fichiers binaires en dehors de ce répertoire (voir l'option --include-binaries).

All patches listed in debian/patches/debian.series or debian/patches/series are then applied. If the former file is used and the latter one doesn't exist (or is a symlink), then the latter is replaced with a symlink to the former. This is meant to simplify usage of quilt to manage the set of patches. Note however that while dpkg-source parses correctly series files with explicit options used for patch application (stored on each line after the patch filename and one or more spaces), it does ignore those options and always expect patches that can be applied with the -p1 option of patch. It will thus emit a warning when it encounters such options, and the build is likely to fail.

Contrary to quilt's default behaviour, patches are expected to apply without any fuzz. When that is not the case, you should refresh such patches with quilt, or dpkg-source will error out while trying to apply them.

Similarly to quilt's default behaviour, the patches can remove files too.

Le fichier .pc/applied-patches est créé si certains correctifs ont été appliqués au cours de l'extraction.

Construction

All original tarballs found in the current directory are extracted in a temporary directory by following the same logic as for the unpack, the debian directory is copied over in the temporary directory, and all patches except the automatic patch (debian-changes-version or debian-changes, depending on --single-debian-patch) are applied. The temporary directory is compared to the source package directory. When the diff is non-empty, the build fails unless --single-debian-patch or --auto-commit has been used, in which case the diff is stored in the automatic patch. If the automatic patch is created/deleted, it's added/removed from the series file and from the quilt metadata. Tout changement dans un fichier binaire ne peut être indiqué dans le diff et va déboucher sur un échec à moins que le responsable ne décide délibérément d'inclure cette modification binaire dans l'archive tar Debian (en le listant dans debian/source/include-binaries). La construction pourra également échouer si des fichiers binaires sont trouvés dans le sous-répertoire debian sans être indiqué dans la liste blanche de debian/source/include-binaries. Le répertoire debian mis à jour et la liste des binaires modifiés sont ensuite utilisés pour recréer l'archive tar debian. The automatically generated diff doesn't include changes on VCS specific files as well as many temporary files (see default value associated to -i option in the --help output). In particular, the .pc directory used by quilt is ignored during generation of the automatic patch. Note : dpkg-source --before-build (et -b) prendra soin d'appliquer les corrections indiquées dans le fichier series afin q'un paquet soit toujours construit avec toutes les corrections appliquées. Pour effectuer cette détection, il recherche la liste des correctifs non appliqués (ils sont mentionnés dans le fichier series mais pas dans .pc/applied-patches) et si le premier de cette liste peut être appliqué dans erreur, il les applique tous. L'option --no-preparation peut être utilisée pour désactiver ce comportement.

Enregistrement des modifications

--commit [répertoire] [nom-du-correctif] [fichier-de-correctif]
    Generates a patch corresponding to the local changes that are not managed by the quilt patch system and integrates it in the patch system under the name patch-name. If the name is missing, it will be asked interactively. If patch-file is given, it is used as the patch corresponding to the local changes to integrate. Once integrated, an editor is launched so that you can edit the meta-information in the patch header. Le fait de passer fichier-de-correctifs est essentiellement utile après un échec de construction qui prégénère ce fichier. Sur ces bases, le fichier est supprimé après intégration. Veuillez également noter que les modifications contenues dans le fichier de correctifs doivent déjà être appliquées dans l'arborescence et que les fichiers modifiés par le correctif ne doivent pas comporter de modifications supplémentaires. Si la création de correctif détecte des fichiers binaires modifiés, ils seront ajoutés automatiquement à debian/source/include-binaries afin de pouvoir être inclus dans l'archive debian (de façon analogue à ce que ferait dpkg-source --include-binaries -b).

Options de construction

--allow-version-of-quilt-db=version
    Allow dpkg-source to build the source package if the version of the quilt metadata is the one specified, even if dpkg-source doesn't know about it. Effectively this says that the given version of the quilt metadata is compatible with the version 2 that dpkg-source currently supports. The version of the quilt metadata is stored in .pc/.version.

--include-removal
    Ne pas ignorer les fichiers supprimés et les inclure dans le fichier de modification généré automatiquement.

--include-timestamp
    Inclure la date dans le patch généré automatiquement.

--include-binaries
    Ajouter tous les binaires modifiés dans l'archive tar debian. Les ajouter aussi à debian/source/include-binaries : elles seront ajoutées par défaut dans les constructions correspondantes aussi cette option n'est donc plus nécessaire.

--no-preparation
    Ne pas essayer de préparer l'arbre de la construction en appliquant les correctifs qui ne lui sont apparemment pas appliqués.

--single-debian-patch
    Utilise debian/patches/debian-changes au lieu de debian/patches/debian-changes-version comme nom du correctif automatiquement créé au cours de la construction. Cette option est particulièrement pratique lorsque le paquet est géré avec un outil de gestion de versions et qu'un jeu de correctifs ne peut être créé de façon fiable. Dans ce cas, les différences avec la version amont doivent être conservées dans un correctif unique. Cette option serait indiquée dans debian/source/local-options et accompagnée par un fichier debian/source/patch-header qui explique la meilleure méthode pour relire les corrections spécifiques à Debian, par exemple dans le gestionnaire de versions utilisé.

--create-empty-orig
    Crée automatiquement une archive tar d'origine vide si elle est manquante et qu'il existe des archives tar d'origine additionnelles. Cette option peut être utilisée lorsque le paquet source est une collection de différentes sources amont et qu'il n'existe pas de logiciel « principal ».

--no-unapply-patches, --unapply-patches
    By default, dpkg-source will automatically unapply the patches in the --after-build hook if it did apply them during --before-build. Those options allow you to forcefully disable or enable the patch unapplication process. Those options are only allowed in debian/source/local-options so that all generated source packages have the same behavior by default.

--abort-on-upstream-changes
    The process fails if an automatic patch has been generated. This option can be used to ensure that all changes were properly recorded in separate quilt patches prior to the source package build. This option is not allowed in debian/source/options but can be used in debian/source/local-options.

--auto-commit
    The process doesn't fail if an automatic patch has been generated, instead it's immediately recorded in the quilt series.

Options d'extraction

--skip-debianization
    Passe l'étape d'extraction de l'archive tar debian par dessus les sources amont

--skip-patches
    Ne pas appliquer des correctifs à la fin de l'extraction.

  Format: 3.0 (custom)
Ce format est particulier. Il ne représente pas un réel format de paquet source mais peut être utilisé pour créer des paquets sources avec des fichiers arbitraires.

Options de construction

Tous les arguments qui ne sont pas des options sont pris pour des fichiers à intégrer dans le paquet source généré. Ils doivent exister et être de préférence dans le répertoire courant. Au moins un fichier doit être donné.

--target-format=valeur
    Required. Defines the real format of the generated source package. The generated .dsc file will contain this value in its Format field and not "3.0 (custom)".

  Format: 3.0 (git)
Ce format est expérimental.

Un paquet source qui utilise ce format est constitué d'un ensemble d'un seul dépôt git .git qui contient les sources du paquet. Il peut également exister un fichier .gitshallow qui donne les révisions d'un clone git « shallow ».

Extracting

Cet ensemble est cloné sous forme d'un dépôt git dans le répertoire cible. S'il existe un fichier .gitshallow, il est installé en tant que « .git/shallow » dans le dépôt git cloné.

Veuillez noter que, par défaut, le nouveau dépôt aura la même branche récupérée que celle qui était récupérée dans les sources d'origine (souvent « master » mais cela peut être tout à fait autre chose). Toutes les autres branches seront disponibles sous « remotes/origin ».

Construction

Avant d'aller plus loin, quelques vérifications sont effectuées afin de s'assurer qu'il n'existe aucun changement non-soumis et à ne pas ignorer.

git-bundle(1) permet de créer un ensemble à partir du dépôt git. Par défaut, toutes les branches et étiquettes du dépôt sont incluses dans cet ensemble.

Options de construction

--git-ref=réf
    Allows specifying a git ref to include in the git bundle. Use disables the default behavior of including all branches and tags. May be specified multiple times. The ref can be the name of a branch or tag to include. It may also be any parameter that can be passed to git-rev-list(1). For example, to include only the master branch, use --git-ref=master. To include all tags and branches, except for the private branch, use --git-ref=--all --git-ref=^private

--git-depth=nombre
    Crée un clone « shallow » dont l'historique est tronqué au nombre indiqué de révisions.

  Format: 3.0 (bzr)
Ce format est expérimental. Il crée une archive tar contenant le dépôt bzr correspondant.

Extracting

L'archive tar est décompressée puis bzr est utilisé afin de récupérer la branche courante.

Construction

Avant d'aller plus loin, quelques vérifications sont effectuées afin de s'assurer qu'il n'existe aucun changement non-soumis et à ne pas ignorer.

Ensuite, la partie spécifique du répertoire source du gestionnaire de versions est copiée dans un répertoire temporaire. Avant que ce répertoire temporaire ne soit empaqueté dans une archive tar, divers nettoyages sont effectuées pour économiser de l'espace.

DIAGNOSTICS

  aucun format source indiqué dans debian/source/format
The file debian/source/format should always exist and indicate the desired source format. For backwards compatibility, format "1.0" is assumed when the file doesn't exist but you should not rely on this: at some point in the future dpkg-source will be modified to fail when that file doesn't exist. Cela est dû au fait que le format « 1.0 » n'est plus le format recommandé, qu'il est conseillé de choisir un des formats les plus récents (« 3.0 (quilt) » ou « 3.0 (native) ») mais que dpkg-source ne le fera pas automatiquement. Si vous souhaitez continuer à utiliser l'ancien format, il est nécessaire d'être explicite et indiquer « 1.0 » dans debian/source/format.

  le fichier de différences modifie les fichiers amont suivants
Lors de l'utilisation du format source « 1.0 », il est déconseillé de modifier directement les fichiers amont car les modifications restent alors cachées et souvent non documentées dans le fichier diff.gz. Au contraire, il est conseillé de conserver les modifications sous forme de correctifs dans le répertoire debian et de les appliquer au moment de la construction. Pour éviter ces opérations plus complexes, vous pouvez également choisir le format « 3.0 (quilt) » qui permet ces opérations de manière native.

  impossible d'identifier les changements de fichier
Les modifications des sources amont sont en général conservées dans des fichiers de correctifs mais certaines modifications ne peuvent être représentées sous forme de tels fichiers qui ne peuvent modifier que des fichiers texte. Si vous essayez de remplacer un fichier avec un objet d'un type différent (par exemple remplacer un fichier par un lien ou un répertoire), ce message d'erreur s'affichera.

  le fichier fichier, nouvellement créé, ne sera pas représenté dans le fichier de différences
Les fichiers vides ne peuvent pas être créés avec des correctifs. En conséquence, la modification n'est pas enregistrée dans le paquet source, ce qui provoque cet avertissement.

  le mode exécutable permissions de fichier ne sera pas représenté dans le fichier de différences
Patch files do not record permissions of files and thus executable permissions are not stored in the source package. This warning reminds you of that fact.

  le mode spécial permissions de fichier ne sera pas représenté dans le fichier de différences
Les fichiers correctifs n'enregistrent pas les permissions de fichiers et, en conséquence, les permissions modifiées ne sont pas enregistrées dans le paquet source, ce qui provoque cet avertissement.

FORMATS DE FICHIERS

  debian/source/format
Ce fichier contient sur une seule ligne le format à utiliser pour construire le paquet source (les formats acceptés sont décrits plus haut). Il ne doit pas contenir d'espaces avant ou après l'indication du format.

  debian/source/include-binaries
Ce fichier contient une liste de fichiers binaires (un par ligne) qui doivent être inclus dans l'archive tar debian. Les espaces placés avant ou après ces noms sont supprimés. Les lignes commençant par « # » sont des commentaires et sont ignorées, ainsi que les lignes vides.

  debian/source/options
Ce fichier contient la liste des options qui seront automatiquement ajoutées au jeu d'options de ligne de commande utilisées par dpkg-source -b ou dpkg-source --print-format. Des options comme --compression et --compression-level conviennent bien pour ce fichier.

Chaque option doit être placée sur une ligne distincte. Les lignes vides et les lignes commençant par le caractère « # » sont ignorées. Les caractères initiaux « -- » doivent être retirés et les options courtes ne peuvent pas être utilisées. Des espaces optionnels sont autorisés autour du symbole « = », ainsi que des guillemets optionnels autour de la valeur d'une option donnée. Voici un exemple d'un tel fichier :

  # autoriser dpkg-source à créer un fichier debian.tar.bz2 avec la compression maximale
  compression = "bzip2"
  compression-level = 9
  # utiliser debian/patches/debian-changes comme correctif automatique
  single-debian-patch
  # ignorer les modifications dans config.{sub,guess}
  extend-diff-ignore = "(^|/)(config.sub|config.guess)$"

Note : les options de format ne sont pas acceptées dans ce fichier. Vous devriez utiliser debian/source/format à la place.

  debian/source/local-options
Identique à debian/source/options mais n'est pas enregistré dans le paquet source créé. Ce fichier peut être utile pour conserver une préférence propre au responsable ou au dépôt de gestionnaire de versions où le paquet source est géré.

  debian/source/local-patch-header and debian/source/patch-header
Texte en format libre qui sera ajouté au correctif automatique créé dans les formats « 2.0 » et « 3.0 (quilt) ». local-patch-header n'est pas inclus dans le paquet source créé alors que patch-header l'est.

  debian/patches/series
This file lists all patches that have to be applied (in the given order) on top of the upstream source package. Leading and trailing spaces are stripped. Lines starting with "#" are comments and are skipped. Empty lines are ignored. Remaining lines start with a patch filename (relative to the debian/patches/ directory) up to the first space character or the end of line. Optional quilt options can follow up to the end of line or the first "#" preceded by one or more spaces (which marks the start of a comment up to the end of line).

BOGUES
Le moment où a lieu le remplacement d'un champ par rapport à certaines déterminations de champ affichées sur la sortie standard est plutôt embrouillé.

VOIR AUSSI
dpkg-deb(1), dpkg(1), dselect(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.